summaryrefslogtreecommitdiffstats
path: root/chrome/app
diff options
context:
space:
mode:
Diffstat (limited to 'chrome/app')
-rw-r--r--chrome/app/app-Info.plist2
-rw-r--r--chrome/app/chrome_dll_main.cc7
-rwxr-xr-xchrome/app/clean_mac_resources32
-rwxr-xr-xchrome/app/tweak_mac_lproj_folders2
4 files changed, 34 insertions, 9 deletions
diff --git a/chrome/app/app-Info.plist b/chrome/app/app-Info.plist
index 4dc9ca5..b0784d7 100644
--- a/chrome/app/app-Info.plist
+++ b/chrome/app/app-Info.plist
@@ -186,8 +186,6 @@
<string>1</string>
<key>LSMinimumSystemVersion</key>
<string>10.5.0</string>
- <key>NSMainNibFile</key>
- <string>MainMenu</string>
<key>NSPrincipalClass</key>
<string>CrApplication</string>
<key>UTExportedTypeDeclarations</key>
diff --git a/chrome/app/chrome_dll_main.cc b/chrome/app/chrome_dll_main.cc
index 02f5b36..4422027 100644
--- a/chrome/app/chrome_dll_main.cc
+++ b/chrome/app/chrome_dll_main.cc
@@ -354,12 +354,7 @@ int ChromeMain(int argc, char** argv) {
parsed_command_line.GetSwitchValue(switches::kProcessType);
#if defined(OS_MACOSX)
- // If process_type is not empty, this is the helper. Set the main app bundle
- // so code can fetch Mac resources.
- if (!process_type.empty()) {
- FilePath main_path(chrome::GetBrowserBundlePath());
- mac_util::SetOverrideAppBundlePath(main_path);
- }
+ mac_util::SetOverrideAppBundle(chrome::GetFrameworkBundle());
#endif // OS_MACOSX
#if defined(OS_WIN)
diff --git a/chrome/app/clean_mac_resources b/chrome/app/clean_mac_resources
new file mode 100755
index 0000000..36aefca
--- /dev/null
+++ b/chrome/app/clean_mac_resources
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+# Copyright (c) 2009 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+# Resources used to live in the .app bundle's Resources directory, but now,
+# almost all of them have moved into the .framework. To avoid having the old
+# resources get in the way of non-clobber builds, this script removes them.
+
+# TODO(mark): Remove this some time after October 20, 2009, allowing two weeks
+# for the transition.
+
+RESOURCES_DIR="${BUILT_PRODUCTS_DIR}/${CONTENTS_FOLDER_PATH}/Resources"
+
+# app.icns and document.icns are referenced by the app's Info.plist and must
+# remain in the .app bundle. chrome_debug.log is created by debug builds,
+# there's no reason to remove it if present.
+find "${RESOURCES_DIR}" -type f -depth 1 \
+ \! -name app.icns \! -name document.icns \! -name chrome_debug.log \
+ -exec rm -f {} \;
+
+# Get rid of the locale.pak files in each .lproj directory. The .lprojs
+# themselves must stay, because they still hold InfoPlist.strings files with
+# localized strings for things like the Finder's Get Info window.
+find "${RESOURCES_DIR}" -type f -depth 2 -name locale.pak -exec rm -f {} \;
+
+# Get rid of the Breakpad helpers (Breakpad-enabled builds only).
+rm -rf "${RESOURCES_DIR}/crash_report_sender.app" \
+ "${RESOURCES_DIR}/crash_inspector"
diff --git a/chrome/app/tweak_mac_lproj_folders b/chrome/app/tweak_mac_lproj_folders
index 46ef42f..6fffcdf 100755
--- a/chrome/app/tweak_mac_lproj_folders
+++ b/chrome/app/tweak_mac_lproj_folders
@@ -11,7 +11,7 @@
set -e
# Working in the resources directory
-cd "${BUILT_PRODUCTS_DIR}/${WRAPPER_NAME}/Contents/Resources"
+cd "${BUILT_PRODUCTS_DIR}/${CONTENTS_FOLDER_PATH}/Resources"
# Provide an link for en.lproj that points to en_US.lproj.